
package com.bcxin.ins.third.zzx.yongan.vo;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.bcxin.ins.coninsweb.order.controller.api.lote.YongAnAPI.vo package.
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AppBatchRequest_QNAME = new QName("http://service.webservice.yaic.com/", "appBatchRequest");
    private final static QName _AppRequest_QNAME = new QName("http://service.webservice.yaic.com/", "appRequest");
    private final static QName _AppBatchRequestResponse_QNAME = new QName("http://service.webservice.yaic.com/", "appBatchRequestResponse");
    private final static QName _AppRequestResponse_QNAME = new QName("http://service.webservice.yaic.com/", "appRequestResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.bcxin.ins.coninsweb.order.controller.api.lote.YongAnAPI.vo
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AppRequest }
     * 
     */
    public AppRequest createAppRequest() {
        return new AppRequest();
    }

    /**
     * Create an instance of {@link AppBatchRequest }
     * 
     */
    public AppBatchRequest createAppBatchRequest() {
        return new AppBatchRequest();
    }

    /**
     * Create an instance of {@link AppRequestResponse }
     * 
     */
    public AppRequestResponse createAppRequestResponse() {
        return new AppRequestResponse();
    }

    /**
     * Create an instance of {@link AppBatchRequestResponse }
     * 
     */
    public AppBatchRequestResponse createAppBatchRequestResponse() {
        return new AppBatchRequestResponse();
    }

    /**
     * Create an instance of {@link BaseInfo }
     * 
     */
    public BaseInfo createBaseInfo() {
        return new BaseInfo();
    }

    /**
     * Create an instance of {@link CbnfcInfo }
     * 
     */
    public CbnfcInfo createCbnfcInfo() {
        return new CbnfcInfo();
    }

    /**
     * Create an instance of {@link AppInfoRes }
     * 
     */
    public AppInfoRes createAppInfoRes() {
        return new AppInfoRes();
    }

    /**
     * Create an instance of {@link AppInfo }
     * 
     */
    public AppInfo createAppInfo() {
        return new AppInfo();
    }

    /**
     * Create an instance of {@link KindInfo }
     * 
     */
    public KindInfo createKindInfo() {
        return new KindInfo();
    }

    /**
     * Create an instance of {@link PropertyInfo }
     * 
     */
    public PropertyInfo createPropertyInfo() {
        return new PropertyInfo();
    }

    /**
     * Create an instance of {@link AppBaseInfo }
     * 
     */
    public AppBaseInfo createAppBaseInfo() {
        return new AppBaseInfo();
    }

    /**
     * Create an instance of {@link PayerInfo }
     * 
     */
    public PayerInfo createPayerInfo() {
        return new PayerInfo();
    }

    /**
     * Create an instance of {@link AppResponseBean }
     * 
     */
    public AppResponseBean createAppResponseBean() {
        return new AppResponseBean();
    }

    /**
     * Create an instance of {@link AppRequestBean }
     * 
     */
    public AppRequestBean createAppRequestBean() {
        return new AppRequestBean();
    }

    /**
     * Create an instance of {@link PayInfo }
     * 
     */
    public PayInfo createPayInfo() {
        return new PayInfo();
    }

    /**
     * Create an instance of {@link ExtraInfo }
     * 
     */
    public ExtraInfo createExtraInfo() {
        return new ExtraInfo();
    }

    /**
     * Create an instance of {@link InsuredInfo }
     * 
     */
    public InsuredInfo createInsuredInfo() {
        return new InsuredInfo();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AppBatchRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.webservice.yaic.com/", name = "appBatchRequest")
    public JAXBElement<AppBatchRequest> createAppBatchRequest(AppBatchRequest value) {
        return new JAXBElement<AppBatchRequest>(_AppBatchRequest_QNAME, AppBatchRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AppRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.webservice.yaic.com/", name = "appRequest")
    public JAXBElement<AppRequest> createAppRequest(AppRequest value) {
        return new JAXBElement<AppRequest>(_AppRequest_QNAME, AppRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AppBatchRequestResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.webservice.yaic.com/", name = "appBatchRequestResponse")
    public JAXBElement<AppBatchRequestResponse> createAppBatchRequestResponse(AppBatchRequestResponse value) {
        return new JAXBElement<AppBatchRequestResponse>(_AppBatchRequestResponse_QNAME, AppBatchRequestResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AppRequestResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://service.webservice.yaic.com/", name = "appRequestResponse")
    public JAXBElement<AppRequestResponse> createAppRequestResponse(AppRequestResponse value) {
        return new JAXBElement<AppRequestResponse>(_AppRequestResponse_QNAME, AppRequestResponse.class, null, value);
    }

}
